Subject: L2VPN (Re-)charter: Scalability Enhancements

From: Shane Amante <[email-masked]>
Date: Tue, 01 Apr 2008 17:46:44 -0600

Hi Dinesh, Florin & Ali,

Please see below.

------Dinesh wrote------
 > DM>> We should enhance bullet 7 of scope which currently states "7.
 > Enhancements to increase the scalability of the Forwarding Database of
 > VPLS PE nodes." to at least provide some example of current direction,
 > similar to some other items in the list. As a suggestion "7.
 > Enhancements to increase the scalability of the Forwarding Database of
 > VPLS PE nodes. This may include using mechanisms being defined by IEEE
 > e.g. 802.1ah."

First, we didn't want to list every possible protocol throughout the 
charter that we may end up (re-)using.  Second, 802.1ah (at the data 
plane) is only one direction we're currently headed, there's also 
Control Plane optimizations as well.  In order to "future-proof" the 
charter, I would prefer that we didn't explicitly list 802.1ah.  In 
fact, I like Florin's suggestion that we abstract it further to account 
for optimizations to not only the Data Plane, but also Control Plane. 
Please see below for that.

------Ali wrote------
 > vi) "7. Enhancements to increase the scalability of the Forwarding
 >         Database of VPLS PE nodes."
 >
 > AS> I would prefer a more explicit language with respect to
 > scalability such as "scalability of customer MAC addresses and
 > number of PW"

Since this is the "scope" section, how about we keep it slightly more 
generic than what you suggest?  Specifically, what do you think about 
the language I suggest below in response to Florin?  I think it should 
address your concern here.

 > vii) "- Define enhancements to increase scalability of VPLS PE nodes,
 >         to provide aggregation of learned customer MAC addresses at
 >         VPLS PE's."
 >
 > AS> should be changed to " Define enhancements to increase scalability
 > of VPLS PE nodes, to provide aggregation of learned customer MAC
 > addresses and to reduce number of PWs at VPLS PE's."

What is your definition of, or goal of, "reduce number of PW's at VPLS 
PE's"?  The number of PWE3 VC labels, the number of tLDP sessions, the 
number of signaling messages exchanged over a set of tLDP sessions or 
something else?  We possibly need something wrt the benefit we're 
looking to acheive at the Control Plane, but we probably want to be more 
precise.  With that in mind, can you suggest some more crisp text?

------Florin wrote------
 > 7. Enhancements to increase the scalability of the Forwarding Database
 > of VPLS PE nodes.
 >
 > FB> I think we should make this text more generic: i.e. 7. Enhancements
 > to increase VPLS scalability.
 > This will  address any issues that might be raised in the future. In the
 > milestones we have anyhow two more generic items that are already
 > looking beyond what the current item 7 is covering: i.e.
 > Nov 2009    Submit scalability solutions for VPLS Control-Plane to IESG
 > Nov 2009    Submit scalability solutions for VPLS Data-Plane to IESG
 > FB>

OK, but I think that may be a bit too generic.  Can we instead scope it 
a little bit more as follows:
---cut here---
7. Enhancements to increase the scalability of the VPLS Control Plane 
and Data Plane (e.g.: Forwarding Database) of VPLS PE nodes.
---cut here---

Thanks,

-shane

---

From: "BALUS Florin" <[email-masked]>
Date: Wed, 2 Apr 2008 00:05:44 -0500

Shane,
I am ok with your suggestions below.

I think the text you proposed (I.e. 7. Enhancements to increase the
scalability of the VPLS Control Plane and Data Plane (e.g.: Forwarding
Database) of VPLS PE nodes.) addresses also the possibility to reduce
the number of PWs which are part of the data plane. Maybe we can add in
there the PWs to address Ali's suggestion: i.e. use "(e.g. MAC
Forwarding Database, number of PWs)" instead of "(e.g. Forwarding
Database)"? There are possibilities to provide reduction in the number
of PWs by using a Backbone VPLS infrastructure to carry multiple
customer VPNs.
Florin

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Shane Amante
> Sent: Tuesday, April 01, 2008 4:47 PM
> To: [email-masked]
> Subject: L2VPN (Re-)charter: Scalability Enhancements
> 
> Hi Dinesh, Florin & Ali,
> 
> Please see below.
> 
> ------Dinesh wrote------
>  > Enhancements to increase the scalability of the Forwarding 
> Database of  > VPLS PE nodes." to at least provide some 
> example of current direction,  > similar to some other items 
> in the list. As a suggestion "7.
>  > Enhancements to increase the scalability of the Forwarding 
> Database of  > VPLS PE nodes. This may include using 
> mechanisms being defined by IEEE  > e.g. 802.1ah."
> 
> First, we didn't want to list every possible protocol 
> throughout the charter that we may end up (re-)using.  
> Second, 802.1ah (at the data
> plane) is only one direction we're currently headed, there's 
> also Control Plane optimizations as well.  In order to 
> "future-proof" the charter, I would prefer that we didn't 
> explicitly list 802.1ah.  In fact, I like Florin's suggestion 
> that we abstract it further to account for optimizations to 
> not only the Data Plane, but also Control Plane. 
>  > AS> I would prefer a more explicit language with respect 
> to  > scalability such as "scalability of customer MAC 
> addresses and  > number of PW"
> 
> Since this is the "scope" section, how about we keep it 
> slightly more generic than what you suggest?  Specifically, 
> what do you think about the language I suggest below in 
> response to Florin?  I think it should address your concern here.
> 
> 
>  > AS> should be changed to " Define enhancements to increase 
> scalability  > of VPLS PE nodes, to provide aggregation of 
> learned customer MAC  > addresses and to reduce number of PWs 
> at VPLS PE's."
> 
> What is your definition of, or goal of, "reduce number of 
> PW's at VPLS PE's"?  The number of PWE3 VC labels, the number 
> of tLDP sessions, the number of signaling messages exchanged 
> over a set of tLDP sessions or something else?  We possibly 
> need something wrt the benefit we're looking to acheive at 
> the Control Plane, but we probably want to be more precise.  
> With that in mind, can you suggest some more crisp text?
> 
> 
> 
> ------Florin wrote------
>  > 7. Enhancements to increase the scalability of the 
> Forwarding Database  > of VPLS PE nodes.
>  >
>  > FB> I think we should make this text more generic: i.e. 7. 
> Enhancements  > to increase VPLS scalability.
>  > This will  address any issues that might be raised in the 
> future. In the  > milestones we have anyhow two more generic 
> items that are already  > looking beyond what the current 
> item 7 is covering: i.e.
> OK, but I think that may be a bit too generic.  Can we 
> instead scope it a little bit more as follows:
> ---cut here---
> 7. Enhancements to increase the scalability of the VPLS 
> Control Plane and Data Plane (e.g.: Forwarding Database) of 
> VPLS PE nodes.
> ---cut here---
> 
> Thanks,
> 
> -shane
>

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Wed, 2 Apr 2008 05:58:22 -0700

Shane,

I am O.K. with the proposed text with a slight modification as suggested
by Florin below.

Cheers,
Ali 

> On Behalf Of BALUS Florin
> Sent: Tuesday, April 01, 2008 10:06 PM
> To: Shane Amante; [email-masked]
> Subject: RE: L2VPN (Re-)charter: Scalability Enhancements
> 
> Shane,
> I think the text you proposed (I.e. 7. Enhancements to 
> increase the scalability of the VPLS Control Plane and Data 
> Plane (e.g.: Forwarding
> Database) of VPLS PE nodes.) addresses also the possibility 
> to reduce the number of PWs which are part of the data plane. 
> Maybe we can add in there the PWs to address Ali's 
> suggestion: i.e. use "(e.g. MAC Forwarding Database, number 
> of PWs)" instead of "(e.g. Forwarding Database)"? There are 
> possibilities to provide reduction in the number of PWs by 
> using a Backbone VPLS infrastructure to carry multiple customer VPNs.
> Florin
> 
> > From: [email-masked] 
> [mailto:[email-masked]] On Behalf 
> > Of Shane Amante
> >  > Enhancements to increase the scalability of the 
> Forwarding Database 
> > of  > VPLS PE nodes." to at least provide some example of current 
> > direction,  > similar to some other items in the list. As a 
> suggestion 
> > "7.
> >  > Enhancements to increase the scalability of the 
> Forwarding Database 
> > of  > VPLS PE nodes. This may include using mechanisms 
> being defined 
> > by IEEE  > e.g. 802.1ah."
> > 
> > fact, I like Florin's suggestion that we abstract it further to 
> > account for optimizations to not only the Data Plane, but 
> also Control 
> > Plane.

---

From: Shane Amante <[email-masked]>
Date: Wed, 2 Apr 2008 21:32:58 -0600

Ali, Florin,

OK.  Based on your input, I've modified #7 as follows:
---cut here---
7. Enhancements to increase the scalability of the Control Plane and
    Data Plane (e.g.: number of PW's and MAC Forwarding Database,
    respectively) of VPLS PE nodes.
---cut here---

-shane